diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/Makefile watchdog/drivers/char/Makefile
--- bk-linus/drivers/char/Makefile	2002-11-25 16:36:51.000000000 -0100
+++ watchdog/drivers/char/Makefile	2002-11-25 16:25:17.000000000 -0100
@@ -77,7 +77,7 @@ obj-$(CONFIG_NWBUTTON) += nwbutton.o
 obj-$(CONFIG_NWFLASH) += nwflash.o
 obj-$(CONFIG_SCx200_GPIO) += scx200_gpio.o
 
-obj-$(CONFIG_WATCHDOGS)	+= watchdog/
+obj-$(CONFIG_WATCHDOG)	+= watchdog/
 obj-$(CONFIG_MWAVE) += mwave/
 obj-$(CONFIG_AGP) += agp/
 obj-$(CONFIG_DRM) += drm/
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/i810-tco.h watchdog/drivers/char/i810-tco.h
--- bk-linus/drivers/char/i810-tco.h	2002-11-25 16:36:51.000000000 -0100
+++ watchdog/drivers/char/i810-tco.h	1969-12-31 23:00:00.000000000 -0100
@@ -1,42 +0,0 @@
-/*
- *	i810-tco 0.05:	TCO timer driver for i8xx chipsets
- *
- *	(c) Copyright 2000 kernel concepts <nils@kernelconcepts.de>, All Rights Reserved.
- *				http://www.kernelconcepts.de
- *
- *	This program is free software; you can redistribute it and/or
- *	modify it under the terms of the GNU General Public License
- *	as published by the Free Software Foundation; either version
- *	2 of the License, or (at your option) any later version.
- *	
- *	Neither kernel concepts nor Nils Faerber admit liability nor provide
- *	warranty for any of this software. This material is provided
- *	"AS-IS" and at no charge.
- *
- *	(c) Copyright 2000	kernel concepts <nils@kernelconcepts.de>
- *				developed for
- *                              Jentro AG, Haar/Munich (Germany)
- *
- *	TCO timer driver for i8xx chipsets
- *	based on softdog.c by Alan Cox <alan@redhat.com>
- *
- *	For history and the complete list of supported I/O Controller Hub's
- *	see i810-tco.c
- */
-
-
-/*
- * Some address definitions for the i810 TCO
- */
-
-#define	TCOBASE		ACPIBASE + 0x60	/* TCO base address		*/
-#define TCO1_RLD	TCOBASE + 0x00	/* TCO Timer Reload and Current Value */
-#define TCO1_TMR	TCOBASE + 0x01	/* TCO Timer Initial Value	*/
-#define	TCO1_DAT_IN	TCOBASE + 0x02	/* TCO Data In Register		*/
-#define	TCO1_DAT_OUT	TCOBASE + 0x03	/* TCO Data Out Register	*/
-#define	TCO1_STS	TCOBASE + 0x04	/* TCO1 Status Register		*/
-#define	TCO2_STS	TCOBASE + 0x06	/* TCO2 Status Register		*/
-#define TCO1_CNT	TCOBASE + 0x08	/* TCO1 Control Register	*/
-#define TCO2_CNT	TCOBASE + 0x0a	/* TCO2 Control Register	*/
-
-#define	SMI_EN		ACPIBASE + 0x30	/* SMI Control and Enable Register */
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/watchdog/Makefile watchdog/drivers/char/watchdog/Makefile
--- bk-linus/drivers/char/watchdog/Makefile	2002-11-25 16:36:53.000000000 -0100
+++ watchdog/drivers/char/watchdog/Makefile	2002-11-25 16:25:47.000000000 -0100
@@ -7,21 +7,21 @@
 # watchdog dies or is 'borrowed' for some reason the software watchdog
 # still gives you some cover.
 
-watchdog-$(CONFIG_PCWATCHDOG) += pcwd.o
-watchdog-$(CONFIG_ACQUIRE_WDT) += acquirewdt.o
-watchdog-$(CONFIG_ADVANTECH_WDT) += advantechwdt.o
-watchdog-$(CONFIG_IB700_WDT) += ib700wdt.o
-watchdog-$(CONFIG_MIXCOMWD) += mixcomwd.o
-watchdog-$(CONFIG_SCx200_WDT) += scx200_wdt.o
-watchdog-$(CONFIG_60XX_WDT) += sbc60xxwdt.o
-watchdog-$(CONFIG_WDT) += wdt.o
-watchdog-$(CONFIG_WDTPCI) += wdt_pci.o
-watchdog-$(CONFIG_21285_WATCHDOG) += wdt285.o
-watchdog-$(CONFIG_977_WATCHDOG) += wdt977.o
-watchdog-$(CONFIG_I810_TCO) += i810-tco.o
-watchdog-$(CONFIG_MACHZ_WDT) += machzwd.o
-watchdog-$(CONFIG_SH_WDT) += shwdt.o
-watchdog-$(CONFIG_EUROTECH_WDT) += eurotechwdt.o
-watchdog-$(CONFIG_SOFT_WATCHDOG) += softdog.o
+obj-$(CONFIG_PCWATCHDOG) += pcwd.o
+obj-$(CONFIG_ACQUIRE_WDT) += acquirewdt.o
+obj-$(CONFIG_ADVANTECH_WDT) += advantechwdt.o
+obj-$(CONFIG_IB700_WDT) += ib700wdt.o
+obj-$(CONFIG_MIXCOMWD) += mixcomwd.o
+obj-$(CONFIG_SCx200_WDT) += scx200_wdt.o
+obj-$(CONFIG_60XX_WDT) += sbc60xxwdt.o
+obj-$(CONFIG_WDT) += wdt.o
+obj-$(CONFIG_WDTPCI) += wdt_pci.o
+obj-$(CONFIG_21285_WATCHDOG) += wdt285.o
+obj-$(CONFIG_977_WATCHDOG) += wdt977.o
+obj-$(CONFIG_I810_TCO) += i810-tco.o
+obj-$(CONFIG_MACHZ_WDT) += machzwd.o
+obj-$(CONFIG_SH_WDT) += shwdt.o
+obj-$(CONFIG_EUROTECH_WDT) += eurotechwdt.o
+obj-$(CONFIG_SOFT_WATCHDOG) += softdog.o
 
 include $(TOPDIR)/Rules.make
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/watchdog/i810-tco.h watchdog/drivers/char/watchdog/i810-tco.h
--- bk-linus/drivers/char/watchdog/i810-tco.h	1969-12-31 23:00:00.000000000 -0100
+++ watchdog/drivers/char/watchdog/i810-tco.h	2002-11-25 16:23:34.000000000 -0100
@@ -0,0 +1,42 @@
+/*
+ *	i810-tco 0.05:	TCO timer driver for i8xx chipsets
+ *
+ *	(c) Copyright 2000 kernel concepts <nils@kernelconcepts.de>, All Rights Reserved.
+ *				http://www.kernelconcepts.de
+ *
+ *	This program is free software; you can redistribute it and/or
+ *	modify it under the terms of the GNU General Public License
+ *	as published by the Free Software Foundation; either version
+ *	2 of the License, or (at your option) any later version.
+ *	
+ *	Neither kernel concepts nor Nils Faerber admit liability nor provide
+ *	warranty for any of this software. This material is provided
+ *	"AS-IS" and at no charge.
+ *
+ *	(c) Copyright 2000	kernel concepts <nils@kernelconcepts.de>
+ *				developed for
+ *                              Jentro AG, Haar/Munich (Germany)
+ *
+ *	TCO timer driver for i8xx chipsets
+ *	based on softdog.c by Alan Cox <alan@redhat.com>
+ *
+ *	For history and the complete list of supported I/O Controller Hub's
+ *	see i810-tco.c
+ */
+
+
+/*
+ * Some address definitions for the i810 TCO
+ */
+
+#define	TCOBASE		ACPIBASE + 0x60	/* TCO base address		*/
+#define TCO1_RLD	TCOBASE + 0x00	/* TCO Timer Reload and Current Value */
+#define TCO1_TMR	TCOBASE + 0x01	/* TCO Timer Initial Value	*/
+#define	TCO1_DAT_IN	TCOBASE + 0x02	/* TCO Data In Register		*/
+#define	TCO1_DAT_OUT	TCOBASE + 0x03	/* TCO Data Out Register	*/
+#define	TCO1_STS	TCOBASE + 0x04	/* TCO1 Status Register		*/
+#define	TCO2_STS	TCOBASE + 0x06	/* TCO2 Status Register		*/
+#define TCO1_CNT	TCOBASE + 0x08	/* TCO1 Control Register	*/
+#define TCO2_CNT	TCOBASE + 0x0a	/* TCO2 Control Register	*/
+
+#define	SMI_EN		ACPIBASE + 0x30	/* SMI Control and Enable Register */
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/watchdog/wd501p.h watchdog/drivers/char/watchdog/wd501p.h
--- bk-linus/drivers/char/watchdog/wd501p.h	1969-12-31 23:00:00.000000000 -0100
+++ watchdog/drivers/char/watchdog/wd501p.h	2002-11-25 16:23:34.000000000 -0100
@@ -0,0 +1,91 @@
+/*
+ *	Industrial Computer Source WDT500/501 driver for Linux 1.3.x
+ *
+ *	(c) Copyright 1995	CymruNET Ltd
+ *				Innovation Centre
+ *				Singleton Park
+ *				Swansea
+ *				Wales
+ *				UK
+ *				SA2 8PP
+ *
+ *	http://www.cymru.net
+ *
+ *	This driver is provided under the GNU General Public License, incorporated
+ *	herein by reference. The driver is provided without warranty or 
+ *	support.
+ *
+ *	Release 0.04.
+ *
+ */
+
+#include <linux/config.h>
+
+#define WDT_COUNT0		(io+0)
+#define WDT_COUNT1		(io+1)
+#define WDT_COUNT2		(io+2)
+#define WDT_CR			(io+3)
+#define WDT_SR			(io+4)	/* Start buzzer on PCI write */
+#define WDT_RT			(io+5)	/* Stop buzzer on PCI write */
+#define WDT_BUZZER		(io+6)	/* PCI only: rd=disable, wr=enable */
+#define WDT_DC			(io+7)
+
+/* The following are only on the PCI card, they're outside of I/O space on
+ * the ISA card: */
+#define WDT_CLOCK		(io+12)	/* COUNT2: rd=16.67MHz, wr=2.0833MHz */
+/* inverted opto isolated reset output: */
+#define WDT_OPTONOTRST		(io+13)	/* wr=enable, rd=disable */
+/* opto isolated reset output: */
+#define WDT_OPTORST		(io+14)	/* wr=enable, rd=disable */
+/* programmable outputs: */
+#define WDT_PROGOUT		(io+15)	/* wr=enable, rd=disable */
+
+#define WDC_SR_WCCR		1	/* Active low */
+#define WDC_SR_TGOOD		2
+#define WDC_SR_ISOI0		4
+#define WDC_SR_ISII1		8
+#define WDC_SR_FANGOOD		16
+#define WDC_SR_PSUOVER		32	/* Active low */
+#define WDC_SR_PSUUNDR		64	/* Active low */
+#define WDC_SR_IRQ		128	/* Active low */
+
+#ifndef WDT_IS_PCI
+
+/*
+ *	Feature Map 1 is the active high inputs not supported on your card.
+ *	Feature Map 2 is the active low inputs not supported on your card.
+ */
+ 
+#ifdef CONFIG_WDT_501		/* Full board */
+
+#ifdef CONFIG_WDT501_FAN	/* Full board, Fan has no tachometer */
+#define FEATUREMAP1		0
+#define WDT_OPTION_MASK		(WDIOF_OVERHEAT|WDIOF_POWERUNDER|WDIOF_POWEROVER|WDIOF_EXTERN1|WDIOF_EXTERN2|WDIOF_FANFAULT)
+#else
+#define FEATUREMAP1		WDC_SR_FANGOOD
+#define WDT_OPTION_MASK		(WDIOF_OVERHEAT|WDIOF_POWERUNDER|WDIOF_POWEROVER|WDIOF_EXTERN1|WDIOF_EXTERN2)
+#endif
+
+#define FEATUREMAP2		0
+#endif
+
+#ifndef CONFIG_WDT_501
+#define CONFIG_WDT_500
+#endif
+
+#ifdef CONFIG_WDT_500		/* Minimal board */
+#define FEATUREMAP1		(WDC_SR_TGOOD|WDC_SR_FANGOOD)
+#define FEATUREMAP2		(WDC_SR_PSUOVER|WDC_SR_PSUUNDR)
+#define WDT_OPTION_MASK		(WDIOF_OVERHEAT)
+#endif
+
+#else
+
+#define FEATUREMAP1		(WDC_SR_TGOOD|WDC_SR_FANGOOD)
+#define FEATUREMAP2		(WDC_SR_PSUOVER|WDC_SR_PSUUNDR)
+#define WDT_OPTION_MASK		(WDIOF_OVERHEAT)
+#endif
+
+#ifndef FEATUREMAP1
+#error "Config option not set"
+#endif
diff -urpN --exclude-from=/home/davej/.exclude bk-linus/drivers/char/wd501p.h watchdog/drivers/char/wd501p.h
--- bk-linus/drivers/char/wd501p.h	2002-11-25 16:36:52.000000000 -0100
+++ watchdog/drivers/char/wd501p.h	1969-12-31 23:00:00.000000000 -0100
@@ -1,91 +0,0 @@
-/*
- *	Industrial Computer Source WDT500/501 driver for Linux 1.3.x
- *
- *	(c) Copyright 1995	CymruNET Ltd
- *				Innovation Centre
- *				Singleton Park
- *				Swansea
- *				Wales
- *				UK
- *				SA2 8PP
- *
- *	http://www.cymru.net
- *
- *	This driver is provided under the GNU General Public License, incorporated
- *	herein by reference. The driver is provided without warranty or 
- *	support.
- *
- *	Release 0.04.
- *
- */
-
-#include <linux/config.h>
-
-#define WDT_COUNT0		(io+0)
-#define WDT_COUNT1		(io+1)
-#define WDT_COUNT2		(io+2)
-#define WDT_CR			(io+3)
-#define WDT_SR			(io+4)	/* Start buzzer on PCI write */
-#define WDT_RT			(io+5)	/* Stop buzzer on PCI write */
-#define WDT_BUZZER		(io+6)	/* PCI only: rd=disable, wr=enable */
-#define WDT_DC			(io+7)
-
-/* The following are only on the PCI card, they're outside of I/O space on
- * the ISA card: */
-#define WDT_CLOCK		(io+12)	/* COUNT2: rd=16.67MHz, wr=2.0833MHz */
-/* inverted opto isolated reset output: */
-#define WDT_OPTONOTRST		(io+13)	/* wr=enable, rd=disable */
-/* opto isolated reset output: */
-#define WDT_OPTORST		(io+14)	/* wr=enable, rd=disable */
-/* programmable outputs: */
-#define WDT_PROGOUT		(io+15)	/* wr=enable, rd=disable */
-
-#define WDC_SR_WCCR		1	/* Active low */
-#define WDC_SR_TGOOD		2
-#define WDC_SR_ISOI0		4
-#define WDC_SR_ISII1		8
-#define WDC_SR_FANGOOD		16
-#define WDC_SR_PSUOVER		32	/* Active low */
-#define WDC_SR_PSUUNDR		64	/* Active low */
-#define WDC_SR_IRQ		128	/* Active low */
-
-#ifndef WDT_IS_PCI
-
-/*
- *	Feature Map 1 is the active high inputs not supported on your card.
- *	Feature Map 2 is the active low inputs not supported on your card.
- */
- 
-#ifdef CONFIG_WDT_501		/* Full board */
-
-#ifdef CONFIG_WDT501_FAN	/* Full board, Fan has no tachometer */
-#define FEATUREMAP1		0
-#define WDT_OPTION_MASK		(WDIOF_OVERHEAT|WDIOF_POWERUNDER|WDIOF_POWEROVER|WDIOF_EXTERN1|WDIOF_EXTERN2|WDIOF_FANFAULT)
-#else
-#define FEATUREMAP1		WDC_SR_FANGOOD
-#define WDT_OPTION_MASK		(WDIOF_OVERHEAT|WDIOF_POWERUNDER|WDIOF_POWEROVER|WDIOF_EXTERN1|WDIOF_EXTERN2)
-#endif
-
-#define FEATUREMAP2		0
-#endif
-
-#ifndef CONFIG_WDT_501
-#define CONFIG_WDT_500
-#endif
-
-#ifdef CONFIG_WDT_500		/* Minimal board */
-#define FEATUREMAP1		(WDC_SR_TGOOD|WDC_SR_FANGOOD)
-#define FEATUREMAP2		(WDC_SR_PSUOVER|WDC_SR_PSUUNDR)
-#define WDT_OPTION_MASK		(WDIOF_OVERHEAT)
-#endif
-
-#else
-
-#define FEATUREMAP1		(WDC_SR_TGOOD|WDC_SR_FANGOOD)
-#define FEATUREMAP2		(WDC_SR_PSUOVER|WDC_SR_PSUUNDR)
-#define WDT_OPTION_MASK		(WDIOF_OVERHEAT)
-#endif
-
-#ifndef FEATUREMAP1
-#error "Config option not set"
-#endif

